summaryrefslogtreecommitdiff
path: root/tests/install/basic-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/install/basic-1')
-rwxr-xr-xtests/install/basic-14
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index bbb30878e..9ee4525a4 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -117,7 +117,7 @@ test -d newdir3 || fail=1
# hence cannot do anything meaningful with the following relative-named dirs.
abs=$pwd/$tmp
mkdir sub || fail=1
-(cd sub && chmod 0 . && ginstall -d "$abs"/xx/yy rel/sub1 rel/sub2 2> /dev/null) && fail=1
+(cd sub && chmod 0 . && ginstall -d "$abs/xx/yy" rel/sub1 rel/sub2 2> /dev/null) && fail=1
chmod 755 sub
# Ensure that the first argument-dir has been created.
@@ -132,7 +132,7 @@ test -d xx/rel && fail=1
# inaccessible parent. coreutils 5.97 fails this test.
mkdir -p sub1/d || fail=1
(cd sub1/d && chmod a-rx .. && chmod a-r . &&
- ginstall -d "$abs"/xx/zz rel/a rel/b 2> /dev/null) || fail=1
+ ginstall -d "$abs/xx/zz" rel/a rel/b 2> /dev/null) || fail=1
chmod 755 sub1 sub1/d || fail=1
test -d xx/zz || fail=1
test -d sub1/d/rel/a || fail=1